package com.njzscloud.supervisory.money.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：payment_status
 * 字典名称：支付状态
 */
@Getter
@RequiredArgsConstructor
public enum PayStatus implements DictStr {
    PENDING("PENDING", "待支付"),
    PAID("PAID", "已支付"),
    REFUNDING("REFUNDING", "待退款"),
    REFUNDED("REFUNDED", "已退款"),
    ;
    private final String val;
    private final String txt;
}
